Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.syntaxgraph.reader
Interface SyntaxGraphReader

All Known Implementing Classes:
  BracketReader, NegraReader, TabReader, TigerXMLReader

    public interface SyntaxGraphReader

Author:
  Johan Hall

Method Summary
`void` | `close()` Closes the file or the input stream.
`DataFormatInstance` | `getDataFormatInstance()` Returns the input data format instance
`int` | `getIterationCounter()`
`int` | `getNIterations()`
`String` | `getOptions()` Returns a string representation of the reader specific options.
`int` | `getSentenceCount()` Returns the current number of the sentence.
`void` | `open(InputStream is, String charsetName)` Opens an input stream
`void` | `open(String fileName, String charsetName)` Opens a file for read only
`void` | `open(URL url, String charsetName)` Opens an URL for read only
`void` | `readEpilog()` Reads the end of the file, after all sentences have been processed,
`void` | `readProlog()` Cause the syntax graph reader to read the beginning of the file (such as header information)
`boolean` | `readSentence(TokenStructure syntaxGraph)` Reads a sentence (token structure, dependency structure or/and phrase structure)
`void` | `setDataFormatInstance(DataFormatInstance dataFormatInstance)` Sets the input data format instance
`void` | `setNIterations(int iterations)`
`void` | `setOptions(String optionString)` Sets the reader specific options.

Method Detail

### open

    void open(String fileName,
              String charsetName)
              throws MaltChainedException

  Opens a file for read only

  Parameters:
    `fileName` - the file name of the file
    `charsetName` - the name of the character encoding set
  Throws:
    `MaltChainedException`

### open

    void open(URL url,
              String charsetName)
              throws MaltChainedException

  Opens an URL for read only

  Parameters:
    `url` - the URL of the resource
    `charsetName` - the name of the character encoding set
  Throws:
    `MaltChainedException`

### open

    void open(InputStream is,
              String charsetName)
              throws MaltChainedException

  Opens an input stream

  Parameters:
    `is` - an input stream
    `charsetName` - the name of the character encoding set
  Throws:
    `MaltChainedException`

### readProlog

    void readProlog()
                    throws MaltChainedException

  Cause the syntax graph reader to read the beginning of the file (such as header information)

  Throws:
    `MaltChainedException`

### readSentence

    boolean readSentence(TokenStructure syntaxGraph)
                         throws MaltChainedException

  Reads a sentence (token structure, dependency structure or/and phrase structure)

  Parameters:
    `syntaxGraph` - a syntax graph (token structure, dependency structure or/and phrase structure)
  Returns:
    true if there is more sentences to be processed, otherwise false.
  Throws:
    `MaltChainedException`

### readEpilog

    void readEpilog()
                    throws MaltChainedException

  Reads the end of the file, after all sentences have been processed,

  Throws:
    `MaltChainedException`

### getSentenceCount

    int getSentenceCount()
                         throws MaltChainedException

  Returns the current number of the sentence.

  Returns:
    the current number of the sentence.
  Throws:
    `MaltChainedException`

### getDataFormatInstance

    DataFormatInstance getDataFormatInstance()

  Returns the input data format instance

  Returns:
    the input data format instance

### setDataFormatInstance

    void setDataFormatInstance(DataFormatInstance dataFormatInstance)

  Sets the input data format instance

  Parameters:
    `dataFormatInstance` - an input data format instance

### getOptions

    String getOptions()

  Returns a string representation of the reader specific options.

  Returns:
    a string representation of the reader specific options.

### setOptions

    void setOptions(String optionString)
                    throws MaltChainedException

  Sets the reader specific options.

  Parameters:
    `optionString` - a string representation of the reader specific options
  Throws:
    `MaltChainedException`

### close

    void close()
               throws MaltChainedException

  Closes the file or the input stream.

  Throws:
    `MaltChainedException`

### getNIterations

    int getNIterations()

### setNIterations

    void setNIterations(int iterations)

### getIterationCounter

    int getIterationCounter()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.